@import url('https://fonts.googleapis.com/css?family=Quicksand:300,400,600&display=swap');

$colors: (
    primarycolor:  #2289D1,
    lightgrey: #D9D9D9,
    bordercolor: #B7BED1,
    slightgrey: #F9F9F9,
    brightprimary: #007bff,
    greytext: #9DA4B7
);

@function color($color-name) {
    @return map-get($colors, $color-name);
}

body {
    font-family: 'Quicksand', sans-serif;
    font-weight: 400;
}

input[type=text]{
    border: 1px solid #EEEEEE;
    border-radius: 5px;
    height: 40px;
    padding: 5px;
}

.dropdown, .dropleft, .dropright, .dropup{
    position: static;
}

.dropdown-menu{
    width: 100%;
    margin-top: unset;
    border-radius: 0;
}

.fullwidth{
    display: flex;
    justify-content: space-around;
    border-color: color(lightgrey);
    // flex-wrap: wrap;
    align-items: flex-start
}

.submenutitle{
    color: color(primarycolor);
    font-size: 16px;
    padding-bottom: 5px;
}

.custommenu > ul > li > a.nav-link{
    margin-left: 0.6em;
    margin-right: 0.6em;
}

.menusection {
    margin-top: 20px;
    margin-bottom: 40px;

    > ul{
        padding-top: 15px;
        border-top: 1px solid #D4D4D4;
        display: flex;
        flex-direction: row;
    }

    ul{
        li{
			line-height: 30px;
    		padding-right: 1em;

            a{
                color: #707070;

                &:hover {
                    color: #2289D1;
                    text-decoration: none;
                }
            }
        }
    }
}

.sidemenu{
    margin-right: 3em;

    .notitlechildmenu{
        padding-left: 0px !important;
        line-height: 40px;
    }
}

.menuspacing{
	width: 200px;
}

ul.stackmenu{
    li{
        line-height: 25px;
    }

    a.disabled{
        color: #BCBCBC;
        pointer-events: none;
        line-height: 40px;
    }

    a:not(.disabled){
        padding-left: 30px;
    }
}

.ui-autocomplete{
    max-height: 80vh;
    overflow-y: auto;
    overflow-x: hidden;
}

main{
    margin-top: 5em;
}

h5{
    color: color(primarycolor);
    font-weight: bold;
}

.breadcrumb{
    background-color: transparent;
    padding: 0;
}

.btn-outlines-custom{
    border-radius: 20px;
    border-color: color(primarycolor);
    color: color(primarycolor);
    font-size: 0.9em;
    margin-left: 1em;

    img{
        margin: 0 0.3em;
        width: 1rem;
    }
    &:hover img{
        filter: brightness(0) invert(1);
    }
}

.dataTables_wrapper{
    border: 1px solid #A2CAE6;
    border-radius: 5px;

    label{
        margin-bottom: 0;
    }
    .dropdown-menu{
        padding: 15px !important;
        left: unset;
        right: -60px;
        border: none;
        background-color: #F4F4F4;
        width: max-content;
    }
    .btn-group-vertical > .btn.active, .btn-group-vertical > .btn:active, .btn-group-vertical > .btn:focus, .btn-group > .btn.active, .btn-group > .btn:active, .btn-group > .btn:focus{
        box-shadow: none;
    }
    .btn-group .btn {
        border-left: 1px solid #E5E4E9;
    }
    .dataTables_info{
        color: #B7BED1;
        font-size: 1em;
        margin-left: 10px;
        margin-bottom: 10px;                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                         
    }
    
    #datatable_previous, #datatable_next, .paginate_button, .paginate_button:hover{
        color: color(bordercolor) !important;
        border: 1px solid color(bordercolor) !important;
        background-color: #fff !important;
        padding: 5px 8px !important;
        border-radius: 3px;
        margin-right: 2px !important;
        margin-left: 2px !important;
    }
    .datatable_paginate{
        text-align: right;
        margin-right: 1rem;

        .pagination_button{
            padding: 5px 8px;

            &.current, &:hover{
                color: color(bordercolor);
                border: 1px solid #fff;
                
                border-radius: 3px;
                cursor: pointer;
                text-decoration: none;
                    &:hover{
                        border: 1px solid color(bordercolor);
                    }
            }
        }
    }
}

.datatable {
    margin-top: 0 !important;
    width: 100% !important;

    :first-child th{
        border-top: 0;
        font-weight: 600;
        text-transform: uppercase;
        color: #9DA4B7;
    }
    :last-child th{
        border-top: 1px solid #dee2e6;
        font-weight: 300;
        text-transform: unset;
    }
    &.display tbody tr:hover{
        background-color: transparent;
    }
    &.dtr-inline.collapsed > tbody > tr[role="row"] > td:first-child::before, table.dataTable.dtr-inline.collapsed > tbody > tr[role="row"] > th:first-child::before{
        top: unset;
        left: unset;
        height: auto;
        width: auto;
        display: block;
        position: absolute;
        color:white;
        border: 0px;
        box-shadow: unset;
        box-sizing: content-box;
        text-align: center;
        text-indent: 0 !important;
        font-family: inherit;
        line-height: 14px;
        content: 'Details';
        background-color: color(brightprimary);
        padding: .25rem .5rem;
        font-size: .875rem;
        line-height: 1.5;
        border-radius: .2rem;
    }
    &.no-footer{
        border-bottom: 1px solid color(lightgrey) !important;
    }

    &.btn{
        padding: 0;
        display: none !important;
    }
    input[type=text]{
        width: 100%;
    }
    tr{
        color: #9DA4B7;
        transition-delay: 2s;
        
        th.sorting_asc, td.sorting_1{
            background-color: color(slightgrey);
            // border-top: 1px solid transparent;
        }
    }
    td, th{
        border-bottom: 0 !important;
        height: 40px;
        border-top: 1px solid #dee2e6;
    }
    th{
        padding: 1rem;
    }
    span.btn{
        padding: .275rem .5rem;
        font-size: 0.8rem;
    } 
}

.sorting_1{
    border-top: 1px solid red;
}

.ui-widget input, .ui-widget select, .ui-widget textarea, .ui-widget button, .ui-widget *{
    font-family: 'Quicksand', sans-serif;
}

#datatable_length{
    margin-left: 1em;
    label, select{
        color: #B7BED1;
    }
    select{
        border: 0;
        background-color: #F4F4F4;
    }
}

.labeltitle{
    color: #7E869B;
    padding-right: 30px;;
}

.greybg{
    background-color: #F4F4F4;
    margin-left: 0px;
    margin-right: 0;
    border-radius: inherit !important;
}

.btn-group .btn{
    padding: 0;
}

.dt-button-collection{
    .buttons-colvisGroup{
        // display: none;
        a{
            color: #7E869B;
            text-decoration: none;
        }
    }
    li{
        &.active{
            a::before {
                content: url('../img/tick.svg');
                display: block;
                position: absolute;
                margin-top: -30px;
            }
        }
        a{
            text-decoration: none;
            color: #7E869B;
            width: 100%;
            line-height: 35px;
            padding-left: 30px;
            &::before {
                content: url('../img/untick.svg');
                display: block;
                position: absolute;
                margin-top: -30px;
            }
        }
        &.buttons-colvisGroup{
            a::before{
                content: none;
                font-weight: bold;
            }
        }
    }
}

.ui-front {
    z-index: 1030;
}

.ui-menu-item-wrapper{
    font-size: 0.9em;
}

.rightsidemodal, .leftsidemodal{
    .modal-dialog{
        height: 100%;
        margin: 0;
        float: right;
        min-width: 40vw;
        .modal-content{
            height: 100%;
            justify-content: flex-end;
            border: 0;
            border-radius: 0;
            .modal-header{
                border: 0;
                padding: 15px 30px;
                h5{
                    font-size: 1.4rem;
                    text-transform: uppercase;
                    img{
                        width: 20px;
                        margin-right: 10px;
                    }
                }
            }

            .modal-body{
                padding: 15px inherit;
                overflow: auto;
                form{
                    color: #9DA4B7;
                    .form-group.row{
                        border-bottom: 1px dashed #D1D1D1;
                        padding-bottom: 12px;
                        padding-left: 12px;
                        &.savedsearch{
                            color: color(primarycolor);
                            .list-group{
                                flex-direction: row;
                                flex-wrap: wrap;
                                .list-group-item{
                                    border-radius: 5px;
                                    padding: .5rem 1rem;
                                    margin-right: 5px;
                                    margin-bottom: 5px;
                                }
                            }
                        }
                        label{
                            font-weight: 600;
                            text-transform: uppercase;
                        }
                    }
                }
            }

            .modal-footer{
                padding: 0;
                .searchnow{
                    background-color: color(primarycolor);
                    border: 0;
                    font-weight: 600;
                    width: 100%;
                    height: 100%;
                    color: #fff;
                    padding: 0.7em;
                    text-transform: uppercase;
                }
            }
        }
    }
}

.leftsidemodal{
    .modal-dialog{
        float: left;
        .modal-content{
            .modal-body{
                .form-group{
                    label{
                        text-transform: uppercase;
                        color: color(greytext);
                        font-weight: 600;
                    }
                    button{
                        padding: 5px 20px;
                        background-color: #fff;
                        color: color(greytext);
                        border: 1px solid color(greytext);
                        &.active, &:focus{
                            background-color: color(primarycolor);
                            color: #fff;
                            box-shadow: unset;
                        }
                    }
                }
            }
            .savedsearch{
                .list-group{
                    display: inline;
                }
            }
        }
    }
}

table.dataTable.display tbody tr:hover > .sorting_1, table.dataTable.order-column.hover tbody tr:hover > .sorting_1{
    background: inherit;
}

.toast{
    position: fixed;
    right: 3rem;
    bottom: 3rem;

}
